# SoGLColorIndexElement Class Reference
[Elements (mostly for internal use)]

`#include <Inventor/elements/SoGLColorIndexElement.h>`

Inheritance diagram for SoGLColorIndexElement:

List of all members.

## Detailed Description

The SoGLColorIndexElement class sets the current OpenGL color.

This element is only used when the OpenGL canvas is in colorindex mode, ie where colors for individual pixels are fetched from a color lookup table ("CLUT"). The usual thing to do is to set up a canvas in RGBA truecolor mode.

One common use for colorindex mode OpenGL canvases is to use one in the overlay planes (which are usually limited to only 2 or 4 available colors), if supported by the OpenGL hardware and / or driver.

See also:
  SoColorIndex

## Public Member Functions

virtual void | init (SoState *state)
int32_t | getNum (void) const
int32_t | get (const int index) const

## Static Public Member Functions

void | initClass (void)
SbBool | isColorIndexMode (SoState *state)
void | set (SoState *const state, SoNode *const node, const int32_t numindices, const int32_t *const indices)
const SoGLColorIndexElement * | getInstance (SoState *state)
int32_t | getDefault (void)

## Protected Member Functions

virtual | ~SoGLColorIndexElement ()

## Constructor & Destructor Documentation

SoGLColorIndexElement::~SoGLColorIndexElement | ( |  | ) | `[protected, virtual]`

| The destructor.

## Member Function Documentation

void SoGLColorIndexElement::initClass | ( | void |  | ) | `[static]`

| Initialize relevant common data for all instances, like the type system. Reimplemented from SoReplacedElement.

SbBool SoGLColorIndexElement::isColorIndexMode | ( | SoState * | state | ) | `[static]`

| Returns `TRUE` if the current GL context is in color index mode.

void SoGLColorIndexElement::init | ( | SoState * | state | ) | `[virtual]`

| This function initializes the element type in the given SoState. It is called for the first element of each enabled element type in SoState objects. Reimplemented from SoReplacedElement.

void SoGLColorIndexElement::set | ( | SoState *const | state,
|  | SoNode *const | node,
|  | const int32_t | numindices,
|  | const int32_t *const | indices
| ) | `[static]`

| Sets current color indices.

const SoGLColorIndexElement * SoGLColorIndexElement::getInstance | ( | SoState * | state | ) | `[static]`

| Returns the current element.

int32_t SoGLColorIndexElement::getNum | ( | void |  | ) | const

| Returns number of color indices in element.

The documentation for this class was generated from the following files:

- SoGLColorIndexElement.h
- SoGLColorIndexElement.cpp